#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true

  xc.turn14.daemons_hook:
    class: XC\AutoImportBase\LifetimeHook\DaemonsHook
    arguments:
      $services:
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'turn14']
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'turn14-images']
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: enable, method: onEnable}
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: disable, method: onDisable}
      - {name: xcart.auto.daemons_hook}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo552build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo553build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.3.0}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo554build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.4.0}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo556build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.6.0}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo557build0TestModes:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.7.0}

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo558build0TransferDataFromTurn14ProductStockToProductLocationStock:
    tags:
      - { name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.8.0 }

  XC\Turn14\LifetimeHook\Upgrade\UpgradeTo558build2SettingsChanges:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Turn14, type: upgrade, method: onUpgrade, version: 5.5.8.2}
